Vagrant.configure("2") do |config|
  config.vm.define "master1" do |master1|
      master1.vm.box = "kwilczynski/ubuntu-16.04-docker"
      master1.vm.hostname = 'master1'
      master1.vm.box_url = "kwilczynski/ubuntu-16.04-docker"
      master1.vm.network :private_network, ip: "192.168.56.101"
      master1.vm.network :forwarded_port, guest: 22, host: 10122, id: "ssh"
      master1.vm.provider :virtualbox do |v|
        v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
        v.customize ["modifyvm", :id, "--memory", 512]
        v.customize ["modifyvm", :id, "--name", "master1"]
      end
  end
  config.vm.define "master2" do |master2|
      master2.vm.box = "kwilczynski/ubuntu-16.04-docker"
      master2.vm.hostname = 'master2'
      master2.vm.box_url = "kwilczynski/ubuntu-16.04-docker"
      master2.vm.network :private_network, ip: "192.168.56.102"
      master2.vm.network :forwarded_port, guest: 22, host: 10222, id: "ssh"
      master2.vm.provider :virtualbox do |v|
        v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
        v.customize ["modifyvm", :id, "--memory", 512]
        v.customize ["modifyvm", :id, "--name", "master2"]
      end
  end
  config.vm.define "master3" do |master3|
      master3.vm.box = "kwilczynski/ubuntu-16.04-docker"
      master3.vm.hostname = 'master3'
      master3.vm.box_url = "kwilczynski/ubuntu-16.04-docker"
      master3.vm.network :private_network, ip: "192.168.56.103"
      master3.vm.network :forwarded_port, guest: 22, host: 10322, id: "ssh"
      master3.vm.provider :virtualbox do |v|
        v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
        v.customize ["modifyvm", :id, "--memory", 512]
        v.customize ["modifyvm", :id, "--name", "master3"]
      end
  end
end
